Subject: Military electronic components
From: "david zhu" <[email-masked]>
To: <[email-masked]>
Date: Thu, 16 Mar 2023 12:06:16 +0330

Hello,

This is David from China, I've got your contact information from website. I 
have been focusing on the military field and serving and providing products 
for Chinese military enterprises.  I know that you also work in this field, 
and I am promoting FPGA and MUC, which you may get some interest in.As 
well,we have other large range of IC products if you need more supports, 
please contact me directly.

Thanks

Best Regards

  _____

  <http://Attach/61361_61361_永盛半导(03-10-16-35-40).png>
Youngsun Semiconductor (Hong Kong) Limited
David   Sales Manager
Mob: +86 2886 3278
Facebook：[email-masked] <mailto:[email-masked]>
Email：[email-masked] <mailto:[email-masked]%C2%A0>
Room 06, 28/F, Hip Kwan Commercial Building,
38 Pik Street, Yau Ma Tei, Kowloon, Hong Kong